#include <vcl.h>
#pragma hdrstop

#include "SetFileAttribute_.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ToolEdit"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
AnsiString AnsiLastError()
{
void *cstr;
FormatMessage(
    FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
    NULL,
    GetLastError(),
    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
    (LPTSTR) &cstr,
    NULL,
    NULL
    );
AnsiString res((char*)cstr);
LocalFree(cstr);
return res;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioButton1Click(TObject *Sender)
{
if (RadioButton1->Checked == true)
    {
    FilenameEdit1->Enabled = true;
    DirectoryEdit1->Enabled = false;
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioButton2Click(TObject *Sender)
{
if (RadioButton2->Checked == true)
    {
    DirectoryEdit1->Enabled = true;
    FilenameEdit1->Enabled = false;
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
AnsiString file;
if (RadioButton1->Checked == true)
    {
    file = FilenameEdit1->Text;
    }
if (RadioButton2->Checked == true)
    {
    file = DirectoryEdit1->Text;
    }
switch (ComboBox1->ItemIndex)
    {
    case 0:
    SetFileAttributes(file.c_str(), FILE_ATTRIBUTE_NORMAL);
    Application->MessageBox(AnsiLastError().c_str(), Application->Title.c_str(), MB_OK + MB_ICONINFORMATION);
    break;
    case 1:
    SetFileAttributes(file.c_str(), FILE_ATTRIBUTE_HIDDEN);
    Application->MessageBox(AnsiLastError().c_str(), Application->Title.c_str(), MB_OK + MB_ICONINFORMATION);
    break;
    case 2:
    SetFileAttributes(file.c_str(), FILE_ATTRIBUTE_READONLY);
    Application->MessageBox(AnsiLastError().c_str(), Application->Title.c_str(), MB_OK + MB_ICONINFORMATION);
    break;
    case 3:
    SetFileAttributes(file.c_str(), FILE_ATTRIBUTE_SYSTEM);
    Application->MessageBox(AnsiLastError().c_str(), Application->Title.c_str(), MB_OK + MB_ICONINFORMATION);
    break;
    case 4:
    SetFileAttributes(file.c_str(), FILE_ATTRIBUTE_COMPRESSED);
    Application->MessageBox(AnsiLastError().c_str(), Application->Title.c_str(), MB_OK + MB_ICONINFORMATION);
    break;
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
HMENU mnu = GetSystemMenu(Handle, false);
DeleteMenu(mnu, SC_SIZE, MF_BYCOMMAND);
DeleteMenu(mnu, SC_MAXIMIZE, MF_BYCOMMAND);
DeleteMenu(mnu, SC_MOVE, MF_BYCOMMAND);
}
//---------------------------------------------------------------------------
