#include <vcl.h>
#pragma hdrstop
#include "setfileattributes_unit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
AnsiString filename;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
if (OpenDialog1->Execute())
    {
    filename = OpenDialog1->FileName;
    Edit1->Text = filename;
    int atr = GetFileAttributes(filename.c_str());
    switch (atr)
        {
        case FILE_ATTRIBUTE_READONLY:   cbxReadOnly->Checked = true;
        break;
        case FILE_ATTRIBUTE_HIDDEN:     cbxHidden->Checked = true;
        break;
        case FILE_ATTRIBUTE_SYSTEM:     cbxSystem->Checked = true;
        break;
        case FILE_ATTRIBUTE_ARCHIVE:    cbxArchive->Checked = true;
        break;
        case FILE_ATTRIBUTE_COMPRESSED: cbxCompressed->Checked = true;
        break;
        case FILE_ATTRIBUTE_OFFLINE:    cbxOffline->Checked = true;
        break;
        case FILE_ATTRIBUTE_TEMPORARY:  cbxTemporary->Checked = true;
        break;
        }
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
int atr = 0;
if (cbxReadOnly->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_READONLY;
    }
if (cbxHidden->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_HIDDEN;
    }
if (cbxSystem->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_SYSTEM;
    }
if (cbxCompressed->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_COMPRESSED;
    }
if (cbxArchive->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_ARCHIVE;
    }
if (cbxOffline->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_OFFLINE;
    }
if (cbxTemporary->Checked == true)
    {
    atr |= FILE_ATTRIBUTE_TEMPORARY;
    }

SetFileAttributes(filename.c_str(), atr);
}
//---------------------------------------------------------------------------
